> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketenv.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Volume



## OpenAPI

````yaml GET /io.pocketenv.volume.getVolume
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol PDS XRPC server
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: io.pocketenv.actor
  - name: app.bsky.actor
  - name: io.pocketenv.file
  - name: io.pocketenv.port
  - name: io.pocketenv.publicKey
  - name: io.pocketenv.sandbox
  - name: io.pocketenv.secret
  - name: io.pocketenv.service
  - name: com.atproto.repo
  - name: io.pocketenv.variable
  - name: io.pocketenv.volume
paths:
  /io.pocketenv.volume.getVolume:
    get:
      tags:
        - io.pocketenv.volume
      operationId: io.pocketenv.volume.getVolume
      parameters:
        - name: id
          in: query
          description: The ID of the volume for which to retrieve volumes.
          required: true
          schema:
            type: string
            description: The ID of the volume for which to retrieve volumes.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  volume:
                    $ref: '#/components/schemas/io.pocketenv.volume.defs.volumeView'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    io.pocketenv.volume.defs.volumeView:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the volume.
        name:
          type: string
          description: Name of the volume, e.g. 'data-volume', 'logs', etc.
        path:
          type: string
          description: >-
            The path within the sandbox where the volume will be mounted, e.g.
            '/data', '/logs', etc.
        readOnly:
          type: boolean
          description: >-
            Whether the volume should be mounted as read-only within the
            sandbox. Defaults to false (read-write).
        createdAt:
          type: string
          description: The timestamp when the volume was created.
          format: date-time
        updatedAt:
          type: string
          description: The timestamp when the volume was last updated.
          format: date-time
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````